#pragma strict

var target : GameObject;
var splat_sound : AudioClip;

function Start () {

}

function Update () {
	var dir = (target.transform.position - transform.position).normalized;
	transform.position += dir * Time.deltaTime;
	
	var check_radius = 0.3;
	var hits : Collider[] = Physics.OverlapSphere (transform.position, check_radius);
	var collided : boolean = false;
	for (var c : Collider in hits) {
		if(c.name == "CannonBall(Clone)"){
			collided = true;
		}
	}
	if(collided){
		AudioSource.PlayClipAtPoint(splat_sound, transform.position, 1.0);
		Destroy(gameObject);
	}
}